# TMCIndex< TIndexType > Class Template Reference
[MCCore]

List of all members.

## Public Member Functions
| TMCIndex ()
| TMCIndex (const TMCIndex &index)
TMCIndex & | operator= (const TMCIndex &index)
void | operator++ ()
boolean | operator< (TIndexType count) const
boolean | operator<= (TIndexType count) const
boolean | operator== (const TMCIndex &index) const
boolean | operator!= (const TMCIndex &index) const
boolean | operator< (const TMCIndex &index) const
boolean | operator<= (const TMCIndex &index) const
TIndexType | GetValue () const
void | SetValue (TIndexType value)
boolean | IsValid () const
boolean | IsInvalid () const
void | MakeInvalid ()
## Protected Attributes
TIndexType | fValue
## Static Protected Attributes
static const TIndexType | sInvalidIndex = -1

## Detailed Description

### template<class TIndexType>
class TMCIndex< TIndexType >

Base class to create index classes when you need the compiler to perform type checking. Example: class TCellIndex : public TMCIndex<int32> { };

## Constructor & Destructor Documentation

template<class TIndexType >

TMCIndex< TIndexType >::TMCIndex | ( |  | ) | `[inline]`

template<class TIndexType >

TMCIndex< TIndexType >::TMCIndex | ( | const TMCIndex< TIndexType > & | index | ) | `[inline]`

## Member Function Documentation

template<class TIndexType >

TIndexType TMCIndex< TIndexType >::GetValue | ( |  | ) | const`[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::IsInvalid | ( |  | ) | const`[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::IsValid | ( | void |  | ) | const`[inline]`

template<class TIndexType >

void TMCIndex< TIndexType >::MakeInvalid | ( |  | ) | `[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::operator!= | ( | const TMCIndex< TIndexType > & | index | ) | const`[inline]`

template<class TIndexType >

void TMCIndex< TIndexType >::operator++ | ( |  | ) | `[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::operator< | ( | const TMCIndex< TIndexType > & | index | ) | const`[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::operator< | ( | TIndexType | count | ) | const`[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::operator<= | ( | const TMCIndex< TIndexType > & | index | ) | const`[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::operator<= | ( | TIndexType | count | ) | const`[inline]`

template<class TIndexType >

TMCIndex& TMCIndex< TIndexType >::operator= | ( | const TMCIndex< TIndexType > & | index | ) | `[inline]`

template<class TIndexType >

boolean TMCIndex< TIndexType >::operator== | ( | const TMCIndex< TIndexType > & | index | ) | const`[inline]`

template<class TIndexType >

void TMCIndex< TIndexType >::SetValue | ( | TIndexType | value | ) | `[inline]`

## Member Data Documentation

template<class TIndexType >

TIndexType TMCIndex< TIndexType >::fValue`[protected]`

template<class TIndexType >

const TIndexType TMCIndex< TIndexType >::sInvalidIndex = -1`[inline, static, protected]`

The documentation for this class was generated from the following file:

- MCIndex.h